process.env.NODE_TLS_REJECT_UNAUTHORIZED = '0'
process.env.SUPPRESS_NO_CONFIG_WARNING = true

const MTSService = require('../src/MTS')
const mocks = require('./mocks')

jest.mock('xml-js', () => ({
  json2xml: jest.fn(),
  xml2js: jest.fn(),
}))

describe('MTS integration', () => {
  let MTS

  beforeEach(() => {
    MTS = new MTSService(mocks.config.defaultConfig)
  })

  it('should be instantiated', () => {
    const result = MTS
    expect(result).toBeDefined()
  })

  it('should return basic json for XML parsing', () => {
    const result = MTS.composeJson({})
    expect(result).toHaveProperty('article')
  })

  it('should contain configured journal name ', () => {
    const result = MTS.composeJson({ fragment: mocks.fragment })
    expect(result).toHaveProperty(
      'article.front.journal-meta.journal-title-group.journal-title._text',
      'Bioinorganic Chemistry and Applications',
    )
  })
})
